## raysession 0.7.2

=== Makefile ===
#!/usr/bin/make -f
# Makefile for RaySession #
# ---------------------- #
# Created by houston4444
#
PREFIX  = /usr/local
DESTDIR =
DEST_RAY := $(DESTDIR)$(PREFIX)/share/raysession

LINK = ln -s
PYUIC := pyuic5
PYRCC := pyrcc5

LRELEASE := lrelease
ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt5
endif

ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt4
endif

# -----------------------------------------------------------------------------------------------------------------------------------------

all: RES UI LOCALE

# -----------------------------------------------------------------------------------------------------------------------------------------
# Resources

RES: src/gui/resources_rc.py

src/gui/resources_rc.py: resources/resources.qrc
	$(PYRCC) $< -o $@

# -----------------------------------------------------------------------------------------------------------------------------------------
# UI code

UI: raysession ray_proxy

raysession: src/gui/ui_abort_copy.py \
	    src/gui/ui_abort_session.py \
	    src/gui/ui_about_raysession.py \
	    src/gui/ui_add_application.py \
	    src/gui/ui_client_properties.py \
	    src/gui/ui_client_slot.py \
	    src/gui/ui_client_trash.py \
	    src/gui/ui_edit_executable.py \
	    src/gui/ui_daemon_url.py \
	    src/gui/ui_error_dialog.py \
	    src/gui/ui_new_executable.py \
	    src/gui/ui_new_session.py \
	    src/gui/ui_nsm_open_info.py \
	    src/gui/ui_open_session.py \
	    src/gui/ui_quit_app.py \
	    src/gui/ui_raysession.py \
	    src/gui/ui_save_template_session.py \
	    src/gui/ui_stop_client.py

src/gui/ui_%.py: resources/ui/%.ui
	$(PYUIC) $< -o $@
	
ray_proxy: src/clients/proxy/ui_proxy_copy.py \
	   src/clients/proxy/ui_proxy_gui.py
	
src/clients/proxy/ui_%.py: resources/ui/%.ui
	$(PYUIC) $< -o $@
# -----------------------------------------------------------------------------------------------------------------------------------------
# # Translations Files

LOCALE: locale

locale: locale/raysession_fr_FR.qm locale/raysession_en_EN.qm

locale/%.qm: locale/%.ts
	$(LRELEASE) $< -qm $@
# -----------------------------------------------------------------------------------------------------------------------------------------

clean:
	rm -f *~ src/*~ src/*.pyc src/gui/ui_*.py src/clients/proxy/ui_*.py \
	      src/gui/resources_rc.py locale/*.qm
	rm -f -R src/__pycache__ src/*/__pycache__
# -----------------------------------------------------------------------------------------------------------------------------------------

debug:
	$(MAKE) DEBUG=true

# -----------------------------------------------------------------------------------------------------------------------------------------

install:
	#clean unwanted __pycache__ folders
	rm -f -R src/__pycache__ src/*/__pycache__
	
	# Create directories
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/applications/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/96x96/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -d $(DEST_RAY)/
	install -d $(DEST_RAY)/locale/
	
	# Copy Client Templates Factory
	cp -r client_templates  $(DEST_RAY)/
	cp -r session_templates $(DEST_RAY)/
	
	# Copy Desktop Files
	install -m 644 data/*.desktop $(DESTDIR)$(PREFIX)/share/applications/

	# Install icons
	install -m 644 resources/16x16/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -m 644 resources/24x24/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -m 644 resources/32x32/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -m 644 resources/48x48/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/48x48/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/64x64/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/
	install -m 644 resources/96x96/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/96x96/apps/
	install -m 644 resources/128x128/raysession.png \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -m 644 resources/256x256/raysession.png \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/

	# Install icons, scalable
	install -m 644 resources/scalable/raysession.svg \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/

	# Install main code
	cp -r src $(DEST_RAY)/
	
	# install main bash scripts to bin
	install -m 755 data/raysession $(DESTDIR)$(PREFIX)/bin/
	install -m 755 data/ray-daemon $(DESTDIR)$(PREFIX)/bin/
	
	# modify PREFIX in main bash scripts
	sed -i "s?X-PREFIX-X?$(PREFIX)?" \
		$(DESTDIR)$(PREFIX)/bin/raysession \
		$(DESTDIR)$(PREFIX)/bin/ray-daemon
	
	# Install Translations
	install -m 644 locale/*.qm $(DEST_RAY)/locale/
	-----------------------------------------------------------------------------------------------------------------------------------------

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/raysession
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-daemon
	rm -f $(DESTDIR)$(PREFIX)/share/applications/raysession.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/raysession.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/raysession.svg
	rm -rf $(DEST_RAY)

=== debian/changelog ===
raysession (0.7.2-0ubuntu2) eoan; urgency=medium

  * Fix for debian/copyright error with regards to src/shared/jacklib.py
  * Change architecture to all

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 16 Aug 2019 10:09:49 -0700

raysession (0.7.2-0ubuntu1) eoan; urgency=medium

  * Initial Release for Ubuntu

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 21 Jul 2019 14:38:26 -0700

=== debian/control ===
Source: raysession
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 python3-pyqt5,
 pyqt5-dev-tools,
 qt4-linguist-tools
Standards-Version: 4.3.0
Vcs-Git: https://github.com/Houston4444/RaySession
Vcs-Browser: https://github.com/Houston4444/RaySession
Homepage: https://github.com/Houston4444/RaySession

Package: raysession
Architecture: all
Depends: python3, python3-liblo, python3-pyqt5, ${misc:Depends}
Recommends: wmctrl
Description: Session Manager for Audio Software
 Ray Session is a GNU/Linux session manager for audio programs as Ardour,
 Carla, QTractor, Non-Timeline, etc...
 .
 It uses the same API as Non Session Manager, so programs compatible with NSM
 are also compatible with Ray Session. As Non Session Manager, the principle
 is to load together audio programs, then be able to save or close all
 documents together.
 .
 Ray Session offers a little more:
 .
  - Factory templates for NSM and LASH compatible applications
  - Possibility to save any client as template
  - Save session as template
  - Name files with a prettier way
  - remember if client was started or not
  - Abort session almost anytime
  - Change Main Folder of sessions on GUI
  - Possibility to KILL client if clean exit is too long
  - Open Session Folder button (open default file manager)
 .
 Ray Session is being developed by houston4444, using Python3 and Qt5.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## raysession 0.8.3

=== Makefile ===
--- 
+++ 
@@ -44,17 +44,26 @@
 	    src/gui/ui_client_properties.py \
 	    src/gui/ui_client_slot.py \
 	    src/gui/ui_client_trash.py \
+	    src/gui/ui_donations.py \
 	    src/gui/ui_edit_executable.py \
 	    src/gui/ui_daemon_url.py \
 	    src/gui/ui_error_dialog.py \
+	    src/gui/ui_list_snapshots.py \
 	    src/gui/ui_new_executable.py \
 	    src/gui/ui_new_session.py \
 	    src/gui/ui_nsm_open_info.py \
 	    src/gui/ui_open_session.py \
 	    src/gui/ui_quit_app.py \
 	    src/gui/ui_raysession.py \
+	    src/gui/ui_remove_template.py \
 	    src/gui/ui_save_template_session.py \
-	    src/gui/ui_stop_client.py
+	    src/gui/ui_snapshot_name.py \
+	    src/gui/ui_snapshots_info.py \
+	    src/gui/ui_snapshot_progress.py \
+	    src/gui/ui_stop_client.py \
+	    src/gui/ui_stop_client_no_save.py \
+	    src/gui/ui_template_slot.py \
+	    src/gui/ui_waiting_close_user.py
 
 src/gui/ui_%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
@@ -69,7 +78,7 @@
 
 LOCALE: locale
 
-locale: locale/raysession_fr_FR.qm locale/raysession_en_EN.qm
+locale: locale/raysession_fr_FR.qm locale/raysession_en_US.qm
 
 locale/%.qm: locale/%.ts
 	$(LRELEASE) $< -qm $@
@@ -78,7 +87,7 @@
 clean:
 	rm -f *~ src/*~ src/*.pyc src/gui/ui_*.py src/clients/proxy/ui_*.py \
 	      src/gui/resources_rc.py locale/*.qm
-	rm -f -R src/__pycache__ src/*/__pycache__
+	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 debug:
@@ -88,7 +97,7 @@
 
 install:
 	#clean unwanted __pycache__ folders
-	rm -f -R src/__pycache__ src/*/__pycache__
+	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
 	
 	# Create directories
 	install -d $(DESTDIR)$(PREFIX)/bin/
@@ -140,13 +149,15 @@
 	cp -r src $(DEST_RAY)/
 	
 	# install main bash scripts to bin
-	install -m 755 data/raysession $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 data/ray-daemon $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/ray_control $(DESTDIR)$(PREFIX)/bin/
 	
 	# modify PREFIX in main bash scripts
 	sed -i "s?X-PREFIX-X?$(PREFIX)?" \
 		$(DESTDIR)$(PREFIX)/bin/raysession \
-		$(DESTDIR)$(PREFIX)/bin/ray-daemon
+		$(DESTDIR)$(PREFIX)/bin/ray-daemon \
+		$(DESTDIR)$(PREFIX)/bin/ray_control
 	
 	# Install Translations
 	install -m 644 locale/*.qm $(DEST_RAY)/locale/

=== debian/changelog ===
raysession (0.8.3-0ubuntu2) focal; urgency=medium

  * No changes rebuild against qttools5-dev

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 18 Jan 2020 16:26:26 -0800

raysession (0.8.3-0ubuntu1) focal; urgency=medium

  * New Upstream Release 0.8.3

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 25 Nov 2019 07:53:11 -0800

raysession (0.8.2-0ubuntu1) focal; urgency=medium

  * New Upstream Release 0.8.2

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 24 Nov 2019 11:23:29 -0800

raysession (0.8.1-0ubuntu1) focal; urgency=medium

  * New Upstream Release 0.8.1

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 25 Oct 2019 14:52:48 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  pkg-config,
  python3-pyqt5,
  pyqt5-dev-tools,
- qt4-linguist-tools
+ qttools5-dev,
+ qtchooser
 Standards-Version: 4.3.0
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export QT_SELECT=5
 %:
 	dh $@

## raysession 0.9.2

=== Makefile ===
--- 
+++ 
@@ -45,18 +45,24 @@
 	    src/gui/ui_client_slot.py \
 	    src/gui/ui_client_trash.py \
 	    src/gui/ui_donations.py \
-	    src/gui/ui_edit_executable.py \
 	    src/gui/ui_daemon_url.py \
 	    src/gui/ui_error_dialog.py \
+	    src/gui/ui_jack_config_info.py \
 	    src/gui/ui_list_snapshots.py \
 	    src/gui/ui_new_executable.py \
 	    src/gui/ui_new_session.py \
+	    src/gui/ui_nsm_properties.py \
+	    src/gui/ui_ray_hack_copy.py \
 	    src/gui/ui_nsm_open_info.py \
 	    src/gui/ui_open_session.py \
 	    src/gui/ui_quit_app.py \
+	    src/gui/ui_ray_hack_properties.py \
 	    src/gui/ui_raysession.py \
 	    src/gui/ui_remove_template.py \
 	    src/gui/ui_save_template_session.py \
+	    src/gui/ui_session_scripts_info.py \
+	    src/gui/ui_script_info.py \
+	    src/gui/ui_script_user_action.py \
 	    src/gui/ui_snapshot_name.py \
 	    src/gui/ui_snapshots_info.py \
 	    src/gui/ui_snapshot_progress.py \
@@ -113,13 +119,22 @@
 	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
 	install -d $(DEST_RAY)/
 	install -d $(DEST_RAY)/locale/
-	
-	# Copy Client Templates Factory
+	install -d $(DESTDIR)/etc/xdg/
+	install -d $(DESTDIR)/etc/xdg/raysession/
+	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
+	
+	
+	# Copy Templates Factory
+	cp -r client_templates/40_ray_nsm  $(DESTDIR)/etc/xdg/raysession/client_templates/
+	cp -r client_templates/60_ray_lash $(DESTDIR)/etc/xdg/raysession/client_templates/
 	cp -r client_templates  $(DEST_RAY)/
 	cp -r session_templates $(DEST_RAY)/
+	cp -r session_scripts   $(DEST_RAY)/
+	cp -r data              $(DEST_RAY)/
 	
 	# Copy Desktop Files
-	install -m 644 data/*.desktop $(DESTDIR)$(PREFIX)/share/applications/
+	install -m 644 data/share/applications/*.desktop \
+		$(DESTDIR)$(PREFIX)/share/applications/
 
 	# Install icons
 	install -m 644 resources/16x16/raysession.png   \
@@ -148,16 +163,23 @@
 	# Install main code
 	cp -r src $(DEST_RAY)/
 	
+	$(LINK) $(DEST_RAY)/src/bin/ray-jack_checker_daemon $(DESTDIR)$(PREFIX)/bin/
+	$(LINK) $(DEST_RAY)/src/bin/ray-jack_config_script  $(DESTDIR)$(PREFIX)/bin/
+	$(LINK) $(DEST_RAY)/src/bin/ray-pulse2jack          $(DESTDIR)$(PREFIX)/bin/
+	$(LINK) $(DEST_RAY)/src/bin/ray_git                 $(DESTDIR)$(PREFIX)/bin/
+	
 	# install main bash scripts to bin
 	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray_control $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/ray-proxy   $(DESTDIR)$(PREFIX)/bin/
 	
 	# modify PREFIX in main bash scripts
 	sed -i "s?X-PREFIX-X?$(PREFIX)?" \
 		$(DESTDIR)$(PREFIX)/bin/raysession \
 		$(DESTDIR)$(PREFIX)/bin/ray-daemon \
-		$(DESTDIR)$(PREFIX)/bin/ray_control
+		$(DESTDIR)$(PREFIX)/bin/ray_control \
+		$(DESTDIR)$(PREFIX)/bin/ray-proxy
 	
 	# Install Translations
 	install -m 644 locale/*.qm $(DEST_RAY)/locale/
@@ -166,7 +188,16 @@
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/raysession
 	rm -f $(DESTDIR)$(PREFIX)/bin/ray-daemon
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-proxy
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_checker_daemon
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_config_script
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-pulse2jack
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray_control
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray_git
+	
 	rm -f $(DESTDIR)$(PREFIX)/share/applications/raysession.desktop
 	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/raysession.png
 	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/raysession.svg
+	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/40_ray_nsm
+	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/60_ray_lash
 	rm -rf $(DEST_RAY)

=== debian/changelog ===
raysession (0.9.2-0ubuntu1) groovy; urgency=medium

  * New upstream version 0.9.2
    - This release fixes a strong bug which was affecting some users.
    - The list of application templates was empty if there were no existing
      user client template.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 14 Sep 2020 08:51:12 -0700

raysession (0.9.1-0ubuntu1) groovy; urgency=medium

  * New upstream version 0.9.1
    - CLI: Control allmost all GUI actions and more with the CLI ray_control.
    - Session scripts: allow user to edit shell scripts at session load, save
      and close.
    - JACK config session script: script that saves and recalls the JACK
      configuration for the session.
      - Add this from session templates in "New Session" window.
    - RayHack: New client protocol which is an alternative to ray-proxy.
      - This allows to launch directly the process and to edit its properties
        even if process is stopped.
    - Factory client templates are installed in /etc/xdg/raysession to allow
      packagers to add some templates.
    - Get client label, icon and description from their .desktop file.
  * Subfolder combobox removed in New Session Dialog
  * Daemon option "Save from client" has been removed. Please affect a global
    keyboard shortcut (Meta+Ctrl+S) to ray_control save instead.
  * Bump standards to 4.5.0, compat to 13

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 21 Jul 2020 15:24:32 -0700

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  pkg-config,
  python3-pyqt5,
  pyqt5-dev-tools,
  qttools5-dev,
  qtchooser
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession
 Homepage: https://github.com/Houston4444/RaySession

## raysession 0.10.1

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	    src/gui/ui_about_raysession.py \
 	    src/gui/ui_add_application.py \
 	    src/gui/ui_client_properties.py \
+	    src/gui/ui_client_rename.py \
 	    src/gui/ui_client_slot.py \
 	    src/gui/ui_client_trash.py \
 	    src/gui/ui_donations.py \
@@ -57,12 +58,14 @@
 	    src/gui/ui_open_session.py \
 	    src/gui/ui_quit_app.py \
 	    src/gui/ui_ray_hack_properties.py \
+	    src/gui/ui_ray_net_properties.py \
 	    src/gui/ui_raysession.py \
 	    src/gui/ui_remove_template.py \
 	    src/gui/ui_save_template_session.py \
 	    src/gui/ui_session_scripts_info.py \
 	    src/gui/ui_script_info.py \
 	    src/gui/ui_script_user_action.py \
+	    src/gui/ui_session_notes.py \
 	    src/gui/ui_snapshot_name.py \
 	    src/gui/ui_snapshots_info.py \
 	    src/gui/ui_snapshot_progress.py \
@@ -84,7 +87,7 @@
 
 LOCALE: locale
 
-locale: locale/raysession_fr_FR.qm locale/raysession_en_US.qm
+locale: locale/raysession_en.qm locale/raysession_fr.qm
 
 locale/%.qm: locale/%.ts
 	$(LRELEASE) $< -qm $@

=== debian/changelog ===
raysession (0.10.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release 0.10.1
    - Client label is now grayed out when client is added stopped
    - Jack config memory script won't prevent anymore to
      load the session if ALSA device is set to 'none'
    - French translation fixes (thanks to Olivier Humbert)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 18 Mar 2021 21:55:04 -0700

raysession (0.10.0-0ubuntu1) hirsute; urgency=medium

  * New upstream version 0.10.0
  * New features
    - Add option "Remember optional GUI states" which recalls the optional GUIs
      visibility state
    - Add Application dialog largely improved with access to all possible
      informations about the templates
    - Session Notes dialog where you can edit...session notes
    - 'duplicate', 'save session as template' and 'rename session' moved to a
      menu at top left of the session frame
    - provide log files in ~/.config/RaySession/logs/
    - improve open session dialog behavior between filter bar and treelist
    - add "Make Reappear all hidden dialogs" action
    - add RayNet client protocol, which is used only for Network Sessions
    - change icon for optional GUI visible/hidden (shamelessly pricked idea at
      Agordejo)
    - ray_control : add_client_template not started option added
    - clients now remember their template origin
    - "save as template" button becomes "Update the Template" in save as
      template (session/client) dialog if template exists
    - Jack config script now saves all pulse2jack configurations, even the more
      complex ones
  * API Changes 
    - raysession's --session argument has been replaced with --start-session
      because --session was taken by Qt, -s still works fine
  * Bug fixes
    - Now translated in french for french speaking users out of France
    - Add all default Qt translations
    - raysession should connect to a running daemon without GUI, even after a
      GUI crash (GUI crash should not happen of course ;) )
    - ray_control start now starts with the good session root if it is not the
      default one (~/Ray Sessions)
    - remove Hydrogen NSM template because RayHack template is safer for now
    - Sequencer64 template has a -m option to work fine with JACK connections
  * New Templates for xtuner and mamba

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 12 Nov 2020 08:43:29 -0800

## raysession 0.11.1

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # ---------------------- #
 # Created by houston4444
 #
-PREFIX  = /usr/local
+PREFIX ?= /usr/local
 DESTDIR =
 DEST_RAY := $(DESTDIR)$(PREFIX)/share/raysession
 
-LINK = ln -s
+LINK = ln -s -f
 PYUIC := pyuic5
 PYRCC := pyrcc5
 
@@ -20,6 +20,11 @@
  LRELEASE := lrelease-qt4
 endif
 
+PYTHON := python3
+ifeq (, $(shell which $(PYTHON)))
+ PYTHON := python
+endif
+
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 all: RES UI LOCALE
@@ -35,46 +40,52 @@
 # -----------------------------------------------------------------------------------------------------------------------------------------
 # UI code
 
-UI: raysession ray_proxy
-
-raysession: src/gui/ui_abort_copy.py \
-	    src/gui/ui_abort_session.py \
-	    src/gui/ui_about_raysession.py \
-	    src/gui/ui_add_application.py \
-	    src/gui/ui_client_properties.py \
-	    src/gui/ui_client_rename.py \
-	    src/gui/ui_client_slot.py \
-	    src/gui/ui_client_trash.py \
-	    src/gui/ui_donations.py \
-	    src/gui/ui_daemon_url.py \
-	    src/gui/ui_error_dialog.py \
-	    src/gui/ui_jack_config_info.py \
-	    src/gui/ui_list_snapshots.py \
-	    src/gui/ui_new_executable.py \
-	    src/gui/ui_new_session.py \
-	    src/gui/ui_nsm_properties.py \
-	    src/gui/ui_ray_hack_copy.py \
-	    src/gui/ui_nsm_open_info.py \
-	    src/gui/ui_open_session.py \
-	    src/gui/ui_quit_app.py \
-	    src/gui/ui_ray_hack_properties.py \
-	    src/gui/ui_ray_net_properties.py \
-	    src/gui/ui_raysession.py \
-	    src/gui/ui_remove_template.py \
-	    src/gui/ui_save_template_session.py \
-	    src/gui/ui_session_scripts_info.py \
-	    src/gui/ui_script_info.py \
-	    src/gui/ui_script_user_action.py \
-	    src/gui/ui_session_notes.py \
-	    src/gui/ui_snapshot_name.py \
-	    src/gui/ui_snapshots_info.py \
-	    src/gui/ui_snapshot_progress.py \
-	    src/gui/ui_stop_client.py \
-	    src/gui/ui_stop_client_no_save.py \
-	    src/gui/ui_template_slot.py \
-	    src/gui/ui_waiting_close_user.py
-
-src/gui/ui_%.py: resources/ui/%.ui
+UI: mkdir_ui raysession ray_proxy
+
+mkdir_ui:
+	@if ! [ -e src/gui/ui ];then mkdir -p src/gui/ui; fi
+
+raysession: src/gui/ui/abort_copy.py \
+	    src/gui/ui/abort_session.py \
+	    src/gui/ui/about_raysession.py \
+	    src/gui/ui/add_application.py \
+	    src/gui/ui/canvas_options.py \
+	    src/gui/ui/canvas_port_info.py \
+	    src/gui/ui/client_properties.py \
+	    src/gui/ui/client_rename.py \
+	    src/gui/ui/client_slot.py \
+	    src/gui/ui/client_trash.py \
+	    src/gui/ui/donations.py \
+	    src/gui/ui/daemon_url.py \
+	    src/gui/ui/error_dialog.py \
+	    src/gui/ui/jack_config_info.py \
+	    src/gui/ui/list_snapshots.py \
+	    src/gui/ui/new_executable.py \
+	    src/gui/ui/new_session.py \
+	    src/gui/ui/nsm_properties.py \
+	    src/gui/ui/ray_hack_copy.py \
+	    src/gui/ui/nsm_open_info.py \
+	    src/gui/ui/open_session.py \
+	    src/gui/ui/patchbay_tools.py \
+	    src/gui/ui/quit_app.py \
+	    src/gui/ui/ray_hack_properties.py \
+	    src/gui/ui/ray_net_properties.py \
+	    src/gui/ui/raysession.py \
+	    src/gui/ui/remove_template.py \
+	    src/gui/ui/save_template_session.py \
+	    src/gui/ui/session_scripts_info.py \
+	    src/gui/ui/script_info.py \
+	    src/gui/ui/script_user_action.py \
+	    src/gui/ui/session_notes.py \
+	    src/gui/ui/snapshot_name.py \
+	    src/gui/ui/snapshots_info.py \
+	    src/gui/ui/snapshot_progress.py \
+	    src/gui/ui/stop_client.py \
+	    src/gui/ui/stop_client_no_save.py \
+	    src/gui/ui/template_slot.py \
+	    src/gui/ui/waiting_close_user.py
+
+src/gui/ui/%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
 	
 ray_proxy: src/clients/proxy/ui_proxy_copy.py \
@@ -82,6 +93,10 @@
 	
 src/clients/proxy/ui_%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
+	
+PY_CACHE:
+	$(PYTHON) -m compileall src/
+	
 # -----------------------------------------------------------------------------------------------------------------------------------------
 # # Translations Files
 
@@ -94,8 +109,9 @@
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 clean:
-	rm -f *~ src/*~ src/*.pyc src/gui/ui_*.py src/clients/proxy/ui_*.py \
+	rm -f *~ src/*~ src/*.pyc  src/clients/proxy/ui_*.py \
 	      src/gui/resources_rc.py locale/*.qm
+	rm -f -R src/gui/ui
 	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
@@ -105,9 +121,6 @@
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 install:
-	#clean unwanted __pycache__ folders
-	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
-	
 	# Create directories
 	install -d $(DESTDIR)$(PREFIX)/bin/
 	install -d $(DESTDIR)$(PREFIX)/share/applications/
@@ -125,7 +138,6 @@
 	install -d $(DESTDIR)/etc/xdg/
 	install -d $(DESTDIR)/etc/xdg/raysession/
 	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
-	
 	
 	# Copy Templates Factory
 	cp -r client_templates/40_ray_nsm  $(DESTDIR)/etc/xdg/raysession/client_templates/
@@ -171,6 +183,12 @@
 	$(LINK) $(DEST_RAY)/src/bin/ray-pulse2jack          $(DESTDIR)$(PREFIX)/bin/
 	$(LINK) $(DEST_RAY)/src/bin/ray_git                 $(DESTDIR)$(PREFIX)/bin/
 	
+	# compile python files
+	$(PYTHON) -m compileall $(DEST_RAY)/src/
+	
+	# install local manual
+	cp -r manual $(DEST_RAY)/
+	
 	# install main bash scripts to bin
 	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/

=== debian/changelog ===
raysession (0.11.1-0ubuntu1) impish; urgency=medium

  * New upstream bugfix release 0.11.1
    - fix GUI crash when showing snapshots without config for info dialog
    - fix patchbay context menu displayed at wrong place under Wayland
    - grey background for all QGroupBox
    - patchbay: ardour "physical_audio_input_monitor_enable" becomes
      "physical monitor" with graceful names enable, same for midi
    - Manual : style review and patchbay section added
    - Patchbay boxes allow 3 or 4 lines title, because PipeWire uses sometimes
      very long group names for hardware boxes
  * Update d/copyright dates
  
 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 27 Aug 2021 11:52:04 -0700

raysession (0.11.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.11.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 06 Aug 2021 18:45:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
+Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,

## raysession 0.12.2

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	    src/gui/ui/abort_session.py \
 	    src/gui/ui/about_raysession.py \
 	    src/gui/ui/add_application.py \
+	    src/gui/ui/ardour_convert.py \
 	    src/gui/ui/canvas_options.py \
 	    src/gui/ui/canvas_port_info.py \
 	    src/gui/ui/client_properties.py \
@@ -58,6 +59,8 @@
 	    src/gui/ui/donations.py \
 	    src/gui/ui/daemon_url.py \
 	    src/gui/ui/error_dialog.py \
+	    src/gui/ui/filter_frame.py \
+	    src/gui/ui/hydro_rh_nsm.py \
 	    src/gui/ui/jack_config_info.py \
 	    src/gui/ui/list_snapshots.py \
 	    src/gui/ui/new_executable.py \
@@ -67,9 +70,11 @@
 	    src/gui/ui/nsm_open_info.py \
 	    src/gui/ui/open_session.py \
 	    src/gui/ui/patchbay_tools.py \
+	    src/gui/ui/preview_client_slot.py \
 	    src/gui/ui/quit_app.py \
 	    src/gui/ui/ray_hack_properties.py \
 	    src/gui/ui/ray_net_properties.py \
+	    src/gui/ui/ray_to_nsm.py \
 	    src/gui/ui/raysession.py \
 	    src/gui/ui/remove_template.py \
 	    src/gui/ui/save_template_session.py \
@@ -80,6 +85,9 @@
 	    src/gui/ui/snapshot_name.py \
 	    src/gui/ui/snapshots_info.py \
 	    src/gui/ui/snapshot_progress.py \
+	    src/gui/ui/startup_dialog.py \
+	    src/gui/ui/systray_close.py \
+	    src/gui/ui/systray_management.py \
 	    src/gui/ui/stop_client.py \
 	    src/gui/ui/stop_client_no_save.py \
 	    src/gui/ui/template_slot.py \
@@ -189,6 +197,9 @@
 	# install local manual
 	cp -r manual $(DEST_RAY)/
 	
+	# install utility-scripts
+	cp -r utility-scripts $(DEST_RAY)/
+	
 	# install main bash scripts to bin
 	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/

=== debian/changelog ===
raysession (0.12.2-0ubuntu1) jammy; urgency=medium

  * New upstream release 0.12.2
  * Added python3-xdg as dependency
  * Bumped copyright year
  * Bumped standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 15 Jan 2022 09:38:12 -0800

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  pyqt5-dev-tools,
  qttools5-dev,
  qtchooser
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession
 Homepage: https://github.com/Houston4444/RaySession
 
 Package: raysession
 Architecture: all
-Depends: python3, python3-liblo, python3-pyqt5, ${misc:Depends}
+Depends: python3, python3-liblo, python3-pyqt5, python3-xdg, ${misc:Depends}
 Recommends: wmctrl
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/RaySession-$1\.tar\.gz/ \
  https://github.com/Houston4444/RaySession/tags .*/v?(\d\S+)\.tar\.gz

## raysession 0.13.0

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,16 @@
  PYTHON := python
 endif
 
-# -----------------------------------------------------------------------------------------------------------------------------------------
-
-all: RES UI LOCALE
-
-# -----------------------------------------------------------------------------------------------------------------------------------------
+PATCHBAY_DIR=HoustonPatchbay
+
+# ---------------------
+
+all: PATCHBAY RES UI LOCALE
+
+PATCHBAY:
+	@(cd $(PATCHBAY_DIR) && $(MAKE))
+
+# ---------------------
 # Resources
 
 RES: src/gui/resources_rc.py
@@ -37,7 +42,7 @@
 src/gui/resources_rc.py: resources/resources.qrc
 	$(PYRCC) $< -o $@
 
-# -----------------------------------------------------------------------------------------------------------------------------------------
+# ---------------------
 # UI code
 
 UI: mkdir_ui raysession ray_proxy
@@ -50,8 +55,6 @@
 	    src/gui/ui/about_raysession.py \
 	    src/gui/ui/add_application.py \
 	    src/gui/ui/ardour_convert.py \
-	    src/gui/ui/canvas_options.py \
-	    src/gui/ui/canvas_port_info.py \
 	    src/gui/ui/client_properties.py \
 	    src/gui/ui/client_rename.py \
 	    src/gui/ui/client_slot.py \
@@ -59,7 +62,6 @@
 	    src/gui/ui/donations.py \
 	    src/gui/ui/daemon_url.py \
 	    src/gui/ui/error_dialog.py \
-	    src/gui/ui/filter_frame.py \
 	    src/gui/ui/hydro_rh_nsm.py \
 	    src/gui/ui/jack_config_info.py \
 	    src/gui/ui/list_snapshots.py \
@@ -69,7 +71,6 @@
 	    src/gui/ui/ray_hack_copy.py \
 	    src/gui/ui/nsm_open_info.py \
 	    src/gui/ui/open_session.py \
-	    src/gui/ui/patchbay_tools.py \
 	    src/gui/ui/preview_client_slot.py \
 	    src/gui/ui/quit_app.py \
 	    src/gui/ui/ray_hack_properties.py \
@@ -95,7 +96,7 @@
 
 src/gui/ui/%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
-	
+
 ray_proxy: src/clients/proxy/ui_proxy_copy.py \
 	   src/clients/proxy/ui_proxy_gui.py
 	
@@ -105,28 +106,33 @@
 PY_CACHE:
 	$(PYTHON) -m compileall src/
 	
-# -----------------------------------------------------------------------------------------------------------------------------------------
+# ------------------------
 # # Translations Files
 
 LOCALE: locale
 
-locale: locale/raysession_en.qm locale/raysession_fr.qm
+locale: locale/raysession_en.qm \
+		locale/raysession_fr.qm \
 
 locale/%.qm: locale/%.ts
 	$(LRELEASE) $< -qm $@
-# -----------------------------------------------------------------------------------------------------------------------------------------
+
+# -------------------------
 
 clean:
+	@(cd $(PATCHBAY_DIR) && $(MAKE) $@)
 	rm -f *~ src/*~ src/*.pyc  src/clients/proxy/ui_*.py \
-	      src/gui/resources_rc.py locale/*.qm
+	      src/gui/resources_rc.py  locale/*.qm
 	rm -f -R src/gui/ui
-	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
-# -----------------------------------------------------------------------------------------------------------------------------------------
+	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__ \
+		  src/*/*/*/__pycache__
+
+# -------------------------
 
 debug:
 	$(MAKE) DEBUG=true
 
-# -----------------------------------------------------------------------------------------------------------------------------------------
+# -------------------------
 
 install:
 	# Create directories
@@ -143,6 +149,8 @@
 	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
 	install -d $(DEST_RAY)/
 	install -d $(DEST_RAY)/locale/
+	install -d $(DEST_RAY)/$(PATCHBAY_DIR)/
+	install -d $(DEST_RAY)/$(PATCHBAY_DIR)/locale/
 	install -d $(DESTDIR)/etc/xdg/
 	install -d $(DESTDIR)/etc/xdg/raysession/
 	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
@@ -154,37 +162,40 @@
 	cp -r session_templates $(DEST_RAY)/
 	cp -r session_scripts   $(DEST_RAY)/
 	cp -r data              $(DEST_RAY)/
-	
+
+	# Copy patchbay themes
+	cp -r HoustonPatchbay/themes $(DEST_RAY)/$(PATCHBAY_DIR)/
+
 	# Copy Desktop Files
 	install -m 644 data/share/applications/*.desktop \
 		$(DESTDIR)$(PREFIX)/share/applications/
 
 	# Install icons
-	install -m 644 resources/16x16/raysession.png   \
+	install -m 644 resources/main_icon/16x16/raysession.png   \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
-	install -m 644 resources/24x24/raysession.png   \
+	install -m 644 resources/main_icon/24x24/raysession.png   \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
-	install -m 644 resources/32x32/raysession.png   \
+	install -m 644 resources/main_icon/32x32/raysession.png   \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
-	install -m 644 resources/48x48/raysession.png   \
+	install -m 644 resources/main_icon/48x48/raysession.png   \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
-	install -m 644 resources/48x48/raysession.png   \
-		$(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
-	install -m 644 resources/64x64/raysession.png   \
+	install -m 644 resources/main_icon/64x64/raysession.png   \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/
-	install -m 644 resources/96x96/raysession.png   \
+	install -m 644 resources/main_icon/96x96/raysession.png   \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/96x96/apps/
-	install -m 644 resources/128x128/raysession.png \
+	install -m 644 resources/main_icon/128x128/raysession.png \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
-	install -m 644 resources/256x256/raysession.png \
+	install -m 644 resources/main_icon/256x256/raysession.png \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
 
 	# Install icons, scalable
-	install -m 644 resources/scalable/raysession.svg \
+	install -m 644 resources/main_icon/scalable/raysession.svg \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
 
 	# Install main code
 	cp -r src $(DEST_RAY)/
+	rm $(DEST_RAY)/src/gui/patchbay
+	cp -r $(PATCHBAY_DIR)/patchbay $(DEST_RAY)/src/gui/
 	
 	$(LINK) $(DEST_RAY)/src/bin/ray-jack_checker_daemon $(DESTDIR)$(PREFIX)/bin/
 	$(LINK) $(DEST_RAY)/src/bin/ray-jack_config_script  $(DESTDIR)$(PREFIX)/bin/
@@ -215,7 +226,7 @@
 	
 	# Install Translations
 	install -m 644 locale/*.qm $(DEST_RAY)/locale/
-	-----------------------------------------------------------------------------------------------------------------------------------------
+	install -m 644 $(PATCHBAY_DIR)/locale/*.qm $(DEST_RAY)/$(PATCHBAY_DIR)/locale
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/raysession

=== debian/changelog ===
raysession (0.13.0-0ubuntu1) lunar; urgency=medium

  * New upstream release 0.13.0
  * Update d/copyright for new files

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 13 Nov 2022 08:44:48 -0800

## raysession 0.13.1

=== Makefile ===
--- 
+++ 
@@ -165,6 +165,7 @@
 
 	# Copy patchbay themes
 	cp -r HoustonPatchbay/themes $(DEST_RAY)/$(PATCHBAY_DIR)/
+	cp -r HoustonPatchbay/manual $(DEST_RAY)/$(PATCHBAY_DIR)/
 
 	# Copy Desktop Files
 	install -m 644 data/share/applications/*.desktop \

=== HoustonPatchbay/Makefile ===
#!/usr/bin/make -f
# Makefile for houston_patchbay #
# ---------------------- #
# Created by houston4444
#

PYUIC := pyuic5
PYRCC := pyrcc5

LRELEASE := lrelease
ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt5
endif

ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt4
endif

# ---------------------

all: RES UI LOCALE

# ---------------------
# Resources

RES: patchbay/resources_rc.py

patchbay/resources_rc.py: resources/resources.qrc
	$(PYRCC) $< -o $@

# ---------------------
# UI code

UI: mkdir_ui patchbay 

mkdir_ui:
	@if ! [ -e patchbay/ui ];then mkdir -p patchbay/ui; fi

patchbay: patchbay/ui/canvas_options.py \
		patchbay/ui/canvas_port_info.py \
		patchbay/ui/filter_frame.py \
		patchbay/ui/patchbay_tools.py \
		patchbay/ui/type_filter_frame.py

patchbay/ui/%.py: resources/ui/%.ui
	$(PYUIC) --import-from=.. $< -o $@
		
# ------------------------
# # Translations Files

LOCALE: locale

locale: locale/patchbay_en.qm  \
		locale/patchbay_fr.qm

locale/%.qm: locale/%.ts
	$(LRELEASE) $< -qm $@

locale/%.qm: locale/%.ts
	$(LRELEASE) $< -qm $@

# -------------------------

clean:
	rm -f *~ patchbay/resources_rc.py \
			 locale/*.qm
	rm -f -R patchbay/ui \
			 patchbay/__pycache__ \
			 patchbay/*/__pycache__ \
			 patchbay/*/*/__pycache__

# -------------------------

debug:
	$(MAKE) DEBUG=true

# -------------------------

=== debian/changelog ===
raysession (0.13.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release 0.13.1
  * Bumped copyright year.
  * debian/control: remove qtchooser from build-deps, add explicit dependency
    for python3-pyqt5.qtsvg.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Jan 2023 14:25:05 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
-Build-Depends:
- debhelper-compat (= 13),
- pkg-config,
- python3-pyqt5,
- pyqt5-dev-tools,
- qttools5-dev,
- qtchooser
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               pkg-config,
+               pyqt5-dev-tools,
+               python3-pyqt5,
+               qttools5-dev
 Standards-Version: 4.5.1
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession
@@ -16,7 +16,13 @@
 
 Package: raysession
 Architecture: all
-Depends: python3, python3-liblo, python3-pyqt5, python3-xdg, ${misc:Depends}
+Depends: python3,
+         python3-liblo,
+         python3-pyqt5,
+         python3-pyqt5.qtsvg,
+         python3-xdg,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: wmctrl
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## raysession 0.14.2

=== debian/changelog ===
raysession (0.14.2-0.2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Oct 2023 14:57:50 -0700

raysession (0.14.2-0ubuntu2) noble; urgency=medium

  * Fix missing quote in additional templates patch

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 27 Oct 2023 08:27:03 -0700

raysession (0.14.2-0ubuntu1) noble; urgency=medium

  * New upstream release 0.14.2
  * d/copyright: update dates, update my email address
  * Patch to include templates
    - Mixbus 9
    - Mixbus32C 8 and 9
  * Patch to fix executable bits
  * Patch to not compile python
  * Patch to fix symlinks and use system font
  * Patch to remove client templates with spaces in directory names
  * Link unlinked binaries to corresponding .desktop files

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 25 Oct 2023 12:39:34 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                pyqt5-dev-tools,
                python3-pyqt5,
+               qtchooser,
                qttools5-dev
 Standards-Version: 4.5.1
 Vcs-Git: https://github.com/Houston4444/RaySession
@@ -16,13 +16,12 @@
 
 Package: raysession
 Architecture: all
-Depends: python3,
+Depends: fonts-roboto-hinted,
+         python3,
          python3-liblo,
          python3-pyqt5,
-         python3-pyqt5.qtsvg,
          python3-xdg,
-         ${misc:Depends},
-         ${python3:Depends}
+         ${misc:Depends}
 Recommends: wmctrl
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,

## raysession 0.14.3

=== debian/changelog ===
raysession (0.14.3-2) unstable; urgency=medium

  * Source-only upload
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Fri, 14 Jun 2024 17:39:52 +0200

raysession (0.14.3-1) unstable; urgency=medium

  * Initial package (Closes: #1065685)

 -- Dennis Braun <snd@debian.org>  Tue, 02 Apr 2024 11:52:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,34 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
-               pkg-config,
-               pyqt5-dev-tools,
-               python3-pyqt5,
-               qtchooser,
-               qttools5-dev
-Standards-Version: 4.5.1
-Vcs-Git: https://github.com/Houston4444/RaySession
-Vcs-Browser: https://github.com/Houston4444/RaySession
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Dennis Braun <snd@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ pkgconf,
+ pyqt5-dev-tools,
+ python3-pyqt5,
+ qtchooser,
+ qttools5-dev,
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
+Vcs-Git: https://salsa.debian.org/multimedia-team/raysessiom.git
 Homepage: https://github.com/Houston4444/RaySession
+Rules-Requires-Root: no
 
 Package: raysession
 Architecture: all
-Depends: fonts-roboto-hinted,
-         python3,
-         python3-liblo,
-         python3-pyqt5,
-         python3-xdg,
-         ${misc:Depends}
-Recommends: wmctrl
+Depends:
+ fonts-roboto-hinted,
+ python3,
+ python3-liblo,
+ python3-pyqt5,
+ python3-pyqt5.qtsvg,
+ python3-xdg,
+ ${misc:Depends},
+Recommends:
+ wmctrl,
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,
  Carla, QTractor, Non-Timeline, etc...
